Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteOndemandReportManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteOndemandReportManager

extends java.rmi.Remote

Method Summary
`OndemandReportRecord` | `changeStatus(java.lang.String ondemandID, java.lang.String status)` Changes the on-demand report status.
`void` | `clearUserOndemandList(java.lang.String userID, boolean isStopTask)` This method will remove all of the user's records in the On-demand Report Record List.
`java.lang.String` | `getOndemandID(java.lang.String userID, java.lang.String resultName)` This method will return a record's On-demand ID according to the User ID and the result name.
`OndemandReportRecord` | `getOndemandReportRecord(java.lang.String ondemandID)` Gets the on-demand report record of the temporary result.
`java.util.Vector` | `getOndemandReports(java.lang.String userID)` Gets on-demand report records registered by the user.
`OndemandReportRecord` | `notifyOndemandCompleted(java.lang.String ondemandID)` Notifies when the on-demand report finished running.
`void` | `removeAllOndemandReport(java.lang.String userID)` Removes all of the on-demand report records for the specified user.
`void` | `removeOndemandReport(java.lang.String ondemandResult)` Removes the on-demand report record specified by the temporary result name.
`void` | `removeOndemandReport(java.lang.String ondemandID, boolean isStop)` Removes the on-demand report record and the temporary result specified by the on-demand ID.
`void` | `removeOndemandReport(java.lang.String userID, java.lang.String resultName, boolean isStopTask)` This method will delete a record from the On-demand List and stop execution according to the User ID and the result name.

Method Detail

### getOndemandReports

    java.util.Vector getOndemandReports(java.lang.String userID)
                                        throws java.rmi.RemoteException

  Gets on-demand report records registered by the user.

  Parameters:
    `userID` - The user ID.
  Returns:
    the `Vector` that contains `OndemandReportRecord` objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getOndemandReportRecord

    OndemandReportRecord getOndemandReportRecord(java.lang.String ondemandID)
                                                 throws java.rmi.RemoteException

  Gets the on-demand report record of the temporary result.

  Parameters:
    `ondemandID` - The on-demand ID.
  Returns:
    the on-demand report record of the temporary result.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### notifyOndemandCompleted

    OndemandReportRecord notifyOndemandCompleted(java.lang.String ondemandID)
                                                 throws java.rmi.RemoteException

  Notifies when the on-demand report finished running.

  Parameters:
    `ondemandID` - The on-demand ID.
  Returns:
    the on-demand report record.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeOndemandReport

    void removeOndemandReport(java.lang.String ondemandID,
                              boolean isStop)
                              throws java.rmi.RemoteException

  Removes the on-demand report record and the temporary result specified by the on-demand ID.

  Parameters:
    `ondemandID` - The on-demand ID.
    `isStop` - Whether JReport Server stops running the on-demand report if it is not completed.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeOndemandReport

    void removeOndemandReport(java.lang.String ondemandResult)
                              throws java.rmi.RemoteException

  Removes the on-demand report record specified by the temporary result name.

  Parameters:
    `ondemandResult` - The file name of the on-demand report result.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeAllOndemandReport

    void removeAllOndemandReport(java.lang.String userID)
                                 throws java.rmi.RemoteException

  Removes all of the on-demand report records for the specified user.

  Parameters:
    `userID` - The user ID.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### clearUserOndemandList

    void clearUserOndemandList(java.lang.String userID,
                               boolean isStopTask)
                               throws java.rmi.RemoteException

  This method will remove all of the user's records in the On-demand Report Record List.

  Parameters:
    `userID` - The ID of the user.
    `isStopTask` - Whether JReport Server stops all of the tasks belonging to the User ID if they are not completed.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getOndemandID

    java.lang.String getOndemandID(java.lang.String userID,
                                   java.lang.String resultName)
                                   throws java.rmi.RemoteException

  This method will return a record's On-demand ID according to the User ID and the result name.

  Parameters:
    `userID` - The ID of the user.
    `resultName` - The result name of the report.
  Returns:
    String On-demand ID of the result.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeOndemandReport

    void removeOndemandReport(java.lang.String userID,
                              java.lang.String resultName,
                              boolean isStopTask)
                              throws java.rmi.RemoteException

  This method will delete a record from the On-demand List and stop execution according to the User ID and the result name.

  Parameters:
    `userID` - The ID of the user.
    `resultName` - The result name of the report.
    `isStopTask` - Whether JReport Server stops the tasks according to On-demand ID if they are not completed.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### changeStatus

    OndemandReportRecord changeStatus(java.lang.String ondemandID,
                                      java.lang.String status)
                                      throws java.rmi.RemoteException

  Changes the on-demand report status.

  Parameters:
    `ondemandID` - The on-demand ID.
    `status` - The on-demand status.
  Returns:
    the on-demand report record.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD